input-list-multi-edit {
  display: block;
}

input-list-multi-edit button[data-add] {
  margin-inline-start: 1rem;
}

input-list-multi-edit ul[role="list"] {
  margin-block: 0.4rem;
}

input-list-multi-edit ul[role="list"] li + li {
  margin-block-start: 0.2rem;
}

input-list-multi-edit button.delete {
  padding: 0;
  margin-inline-end: 6px;
  width: calc(4px + 1rem);
  height: calc(4px + 1rem);
  line-height: 1;
  text-align: center;
  border-radius: 50%;
  color: var(--color-fg-accent);
  background-color: transparent;
  border: none;
}

input-list-multi-edit button.delete:hover,
input-list-multi-edit button.delete:focus {
  color: white;
  background-color: var(--color-red);
  outline-offset: 1px;
}

input-list-multi-edit input[type="text"] {
  padding: 0;
  border: 2px solid transparent;
  border-block-end: none;
  box-shadow: 0 2px 0 0 var(--color-fg-accent);
}

input-list-multi-edit input[type="text"]:invalid {
  box-shadow: 0 2px 0 0 var(--color-error);
}

input-list-multi-edit .invalid-message {
  margin-inline-start: calc(1rem + 10px);
}

input-list-multi-edit input[type="text"]:focus:not(:invalid),
input-list-multi-edit input[type="text"]:hover:not(:invalid) {
  border: 2px solid var(--color-fg-accent);
  border-block-end: none;
}